package api

import (
	"fmt"
	"hakushi-crawl/utils"
	"log"
)

func GetMonsterInfoApi(monsterId string, locale string) (*any, error) {
	url := fmt.Sprintf(
		"https://api.hakush.in/hsr/data/%s/monster/%s.json",
		locale,
		monsterId,
	)

	data, err := utils.GetĐataJSON[any](url)
	if err != nil {
		log.Println(err)
		return nil, nil
	}

	return data, nil
}

func GetListMonsterApi() (map[string]*any, error) {
	url := "https://api.hakush.in/hsr/data/monster.json"

	data, err := utils.GetĐataJSON[map[string]*any](url)
	if err != nil {
		log.Println(err)
		return nil, nil
	}

	return *data, nil
}
